## org.hibernate.engine
Class JoinHelper

    java.lang.Object
      org.hibernate.engine.JoinHelper

    public final class JoinHelper

extends Object

Author:
  Gavin King

Method Summary
`static String[]` `getAliasedLHSColumnNames(AssociationType type, String alias, int property, int begin, OuterJoinLoadable lhsPersister, Mapping mapping)` Get the aliased columns of the owning entity which are to be used in the join
`static String[]` `getAliasedLHSColumnNames(AssociationType type, String alias, int property, OuterJoinLoadable lhsPersister, Mapping mapping)` Get the aliased columns of the owning entity which are to be used in the join
`static String[]` `getLHSColumnNames(AssociationType type, int property, int begin, OuterJoinLoadable lhsPersister, Mapping mapping)` Get the columns of the owning entity which are to be used in the join
`static String[]` `getLHSColumnNames(AssociationType type, int property, OuterJoinLoadable lhsPersister, Mapping mapping)` Get the columns of the owning entity which are to be used in the join
`static String` `getLHSTableName(AssociationType type, int property, OuterJoinLoadable lhsPersister)`
`static String[]` `getRHSColumnNames(AssociationType type, SessionFactoryImplementor factory)` Get the columns of the associated table which are to be used in the join

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAliasedLHSColumnNames

    public static String[] getAliasedLHSColumnNames(AssociationType type,
                                                    String alias,
                                                    int property,
                                                    OuterJoinLoadable lhsPersister,
                                                    Mapping mapping)

  Get the aliased columns of the owning entity which are to be used in the join

### getLHSColumnNames

    public static String[] getLHSColumnNames(AssociationType type,
                                             int property,
                                             OuterJoinLoadable lhsPersister,
                                             Mapping mapping)

  Get the columns of the owning entity which are to be used in the join

### getAliasedLHSColumnNames

    public static String[] getAliasedLHSColumnNames(AssociationType type,
                                                    String alias,
                                                    int property,
                                                    int begin,
                                                    OuterJoinLoadable lhsPersister,
                                                    Mapping mapping)

  Get the aliased columns of the owning entity which are to be used in the join

### getLHSColumnNames

    public static String[] getLHSColumnNames(AssociationType type,
                                             int property,
                                             int begin,
                                             OuterJoinLoadable lhsPersister,
                                             Mapping mapping)

  Get the columns of the owning entity which are to be used in the join

### getLHSTableName

    public static String getLHSTableName(AssociationType type,
                                         int property,
                                         OuterJoinLoadable lhsPersister)

### getRHSColumnNames

    public static String[] getRHSColumnNames(AssociationType type,
                                             SessionFactoryImplementor factory)

  Get the columns of the associated table which are to be used in the join

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.